{
    attributes = (
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_RNE"; 
            externalType = VARCHAR2; 
            name = cRne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            columnName = "C_TYPE_MAD"; 
            externalType = VARCHAR2; 
            name = cTypeMad; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE_MAD"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_MAD"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_MAD"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LIEU_MAD"; 
            externalType = VARCHAR2; 
            name = lieuMad; 
            valueClassName = NSString; 
            valueType = S; 
            width = 80; 
        }, 
        {
            columnName = "MAD_ORDRE"; 
            externalType = NUMBER; 
            name = madOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_MAD"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAD_QUOTITE"; 
            externalType = NUMBER; 
            name = quotite; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (madOrdre); 
    className = "org.cocktail.connecteur.serveur.modele.entite_destination.EOMangueMad"; 
    classProperties = (
        commentaire, 
        cRne, 
        cTypeMad, 
        dateArrete, 
        dateDebut, 
        dateFin, 
        dCreation, 
        dModification, 
        individu, 
        lieuMad, 
        noArrete, 
        quotite, 
        temValide
    ); 
    externalName = "MANGUE.MAD"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            commentaire, 
            cRne, 
            cTypeMad, 
            dateArrete, 
            dateDebut, 
            dateFin, 
            dCreation, 
            dModification, 
            lieuMad, 
            noArrete, 
            noDossierPers, 
            quotite, 
            temValide
        ); 
    }; 
    name = MangueMad; 
    primaryKeyAttributes = (madOrdre); 
    relationships = (
        {
            destination = GrhumIndividu; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = individu; 
        }
    ); 
    userInfo = {
        "_EntityModeler" = {parentClassName = ObjetSIDestinatairePourPeriodeEtIndividu; }; 
    }; 
}
